VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2010
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4470
   LinkTopic       =   "Form1"
   ScaleHeight     =   2010
   ScaleWidth      =   4470
   StartUpPosition =   3  'Windows Default
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Remaining Lifetime:"
      Height          =   195
      Index           =   4
      Left            =   120
      TabIndex        =   9
      Top             =   1560
      Width           =   1380
   End
   Begin VB.Label lblRemainingLifetime 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   8
      Top             =   1560
      Width           =   2655
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Full Lifetime:"
      Height          =   195
      Index           =   3
      Left            =   120
      TabIndex        =   7
      Top             =   1200
      Width           =   870
   End
   Begin VB.Label lblFullLifetime 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   6
      Top             =   1200
      Width           =   2655
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Percent Lifetime:"
      Height          =   195
      Index           =   2
      Left            =   120
      TabIndex        =   5
      Top             =   840
      Width           =   1185
   End
   Begin VB.Label lblPercentLifetime 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   4
      Top             =   840
      Width           =   2655
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Battery Status:"
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   1035
   End
   Begin VB.Label lblBatteryStatus 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   2
      Top             =   480
      Width           =   2655
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "AC Status:"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   750
   End
   Begin VB.Label lblACStatus 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   0
      Top             =   120
      Width           =   2655
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetSystemPowerStatus Lib "kernel32" (lpSystemPowerStatus As SYSTEM_POWER_STATUS) As Long
Private Type SYSTEM_POWER_STATUS
    ACLineStatus As Byte
    BatteryFlag As Byte
    BatteryLifePercent As Byte
    Reserved1 As Byte
    BatteryLifeTime As Long
    BatteryFullLifeTime As Long
End Type

Private Sub Form_Load()
Dim power_status As SYSTEM_POWER_STATUS
Dim txt As String

    If GetSystemPowerStatus(power_status) = 0 Then
        lblACStatus.Caption = "Error"
    Else
        Select Case power_status.ACLineStatus
            Case 0
                lblACStatus.Caption = "Battery"
            Case 1
                lblACStatus.Caption = "On line"
            Case 255
                lblACStatus.Caption = "Unknown"
        End Select

        If power_status.BatteryFlag And 1 Then txt = txt & ", High (> 66%)"
        If power_status.BatteryFlag And 2 Then txt = txt & ", Low (< 33%)"
        If power_status.BatteryFlag And 4 Then txt = txt & ", Critical (< 5%)"
        If power_status.BatteryFlag And 8 Then txt = txt & ", Charging"
        If power_status.BatteryFlag And 128 Then txt = txt & ", No system battery"
        If power_status.BatteryFlag = 255 Then txt = txt & ", Unknown"
        If Len(txt) > 0 Then txt = Mid$(txt, 3)
        lblBatteryStatus.Caption = txt

        If power_status.BatteryFullLifeTime = -1 Then
            lblFullLifetime.Caption = "Unknown"
        Else
            lblFullLifetime.Caption = power_status.BatteryFullLifeTime & " seconds"
        End If

        If power_status.BatteryLifeTime = -1 Then
            lblRemainingLifetime.Caption = "Unknown"
        Else
            lblRemainingLifetime.Caption = power_status.BatteryLifeTime & " seconds"
        End If

        If power_status.BatteryLifePercent = 255 Then
            lblPercentLifetime.Caption = "Unknown"
        Else
            lblPercentLifetime.Caption = power_status.BatteryLifePercent & "%"
        End If
    End If
End Sub


